package com.bytedance.android.livesdkapi.host;

import X.0UT;
import X.4r1;
import X.GM7;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.Map;

public interface IHostCommerce extends 0UT {
    static {
        Covode.recordClassIndex(22440);
    }

    Object LIZ(String str, 4r1<? super GM7> r2);

    void LIZ(Context context, String str, String str2, boolean z, Map<String, Object> map);

    void LIZ(String str, boolean z, Map<String, Object> map);

    boolean LIZ();
}
